Bug 1164940 - Installation guide section Setting up the JRE for the JBoss ON Agent incorrectly refers to JAVA_HOME which includes /bin/java/
Summary: Installation guide section Setting up the JRE for the JBoss ON Agent incorrec...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: JON 3.3.1
Assignee: Jared MORGAN
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: Documentation, EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-17 22:16 UTC by Larry O'Leary
Modified: 2018-12-09 19:11 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
[Install Guide] Ready for release.
Last Closed: 2015-03-03 09:55:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1164943 None None None Never
Red Hat Knowledge Base (Solution) 1269633 None None None Never

Internal Trackers: 1164943

Description Larry O'Leary 2014-11-17 22:16:28 UTC
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Installation_Guide/Agent_Installation.html#jre-agent

Section Number and Name: ⁠4.1.1. Setting up the JRE for the JBoss ON Agent

Describe the issue: The reference to java home path seems to include /bin/java/ at the end:

>    2. Add a line to set the RHQ_JAVA_HOME environment variable to the specific JRE directory. For example:
>    
>        export RHQ_JAVA_HOME=/usr/lib/jvm/jre-1.6.0-openjdk/bin/java/

Suggestions for improvement: 
Example path should not include "/bin/java/":

        export RHQ_JAVA_HOME=/usr/lib/jvm/jre-1.6.0-openjdk

Comment 1 Jared MORGAN 2015-02-05 01:05:05 UTC
svn commit en-US/Installing.xml -m "https://bugzilla.redhat.com/show_bug.cgi?id=1164940 - fixed up path by removing the trailling /bin/java/"
Sending        en-US/Installing.xml
Transmitting file data .
Committed revision 98769.

I removed the trailing /bin/java from the identified path and the alternatives path as well.

Comment 3 Filip Brychta 2015-02-25 13:14:49 UTC
Looking at http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Installation_Guide/Agent_Installation.html#jre-agent

export RHQ_JAVA_HOME=/usr/lib/jvm/jre-1.6.0-openjdk/

is correct now but path to java in alternatives section is not.
Path in alternatives section should be /usr/lib/jvm/jre-1.6.0-openjdk/bin/java

JAVA_HOME and path to java executable are different things.

Comment 4 Jared MORGAN 2015-02-26 01:12:14 UTC
Fixed and will push up async after resolving the other two issues.

Comment 5 Jared MORGAN 2015-02-26 03:03:01 UTC
svn commit -m "https://bugzilla.redhat.com/show_bug.cgi?id=1164940 - corrected alternatives jre path according to comment 3"
Sending        en-US/Agent.xml
Sending        publican.cfg
Transmitting file data ..
Committed revision 98970.

Comment 6 Jared MORGAN 2015-02-26 04:22:46 UTC
The link in Comment 3 will show the updated details.

Revision History is 3.3.1-4 in the book I'm currently pushing to docs-devel for review. Once verified, I'll push it to access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.